Page MenuHomePhabricator

CopyPatrol is down - expired iThenticate account
Closed, ResolvedPublic

Description

Hi, there have been no new reports for nearly five hours – the last one was at 2022-09-30 23:48.

Additionally, clicking "iThenticate report" on any entry leads to an error page that reads "A website error has occurred. The website administrator has been notified of the issue. Sorry for the temporary inconvenience."

Turnitin/iThenticate itself seems to be currently functional: https://turnitin.statuspage.io/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

There were some edits that were uploaded and checked after that one, but it effectively stopped not long after that - the scheduled restart that just after midnight.

It looks like the account we are using expired at the end of September.

@eranroz:

Error E503: Your account is not currently active.
Sorry, failed to log in.
JJMC89 renamed this task from CopyPatrol is down to CopyPatrol is down - expired iThenticate account.Oct 1 2022, 5:13 AM

Mentioned in SAL (#wikimedia-cloud) [2022-10-01T05:17:24Z] <JJMC89> disable all plagiabot jobs T319123

All bot jobs (eswiki, enwiki, and frwiki) stopped until the account issue is resolved.

I tried to login to ithenticate , and confirmed the observation:

Error E503: Your account is not currently active.
Sorry, failed to log in.

Same thing happened on October 1 in 2018 (T205917) and 2020 (T256501), so I guess the account is renewed for two years every time. Hopefully Turnitin comes through quickly again, like they did the previous two times. Thanks for investigating!

MusikAnimal claimed this task.
MusikAnimal added a subscriber: MusikAnimal.

Account status restored! Everything should be back to normal now. I will ask our contacts about ensuring this doesn't happen again.

I forgot to update that with help of Mark from Turnitin we got the account reactivate for another year. Thanks for Turnitin for quickly helping with this.